function plugin_main()
{
   globalStore.ActiveGem = new Gem();
   globalStore.ActiveGem.RetrieveInfoGemModel(artcam.SelectedGem);
   globalStore.ActiveGem.TargetDiv = gemsDiv;
   globalStore.ActiveGem.CallingDiv = libraryDiv;

   // Go to the params page and request a colour button to be put on there
   globalStore.ActiveGem.AddColourChangeButton = true; // Turn on the colour change button option
   globalStore.ActiveGem.WriteParamsSelectionHTML();

   globalStore.ActiveGem.CallbackFunction = function() { OnClose(); }
}
